'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-46cc460d.js');

/*
 Stencil Client Patch Browser v4.3.0 | MIT Licensed | https://stenciljs.com
 */
const patchBrowser = () => {
    const importMeta = (typeof document === 'undefined' ? new (require('u' + 'rl').URL)('file:' + __filename).href : (document.currentScript && document.currentScript.src || new URL('inclde.cjs.js', document.baseURI).href));
    const opts = {};
    if (importMeta !== '') {
        opts.resourcesUrl = new URL('.', importMeta).href;
    }
    return index.promiseResolve(opts);
};

patchBrowser().then(options => {
  return index.bootstrapLazy([["inclde-help-spot.cjs",[[1,"inclde-help-spot",{"helpText":[1,"help-text"]}]]],["inclde-add-node-dialogue_2.cjs",[[1,"inclde-add-node-dialogue",{"data":[16],"relationTo":[1,"relation-to"],"allowPrimitives":[4,"allow-primitives"],"isOpen":[32],"attributeRelation":[32],"attributeType":[32],"attributeValue":[32]}],[1,"inclde-sidebar-element",{"data":[16],"selector":[2],"globalSelector":[2,"global-selector"],"expanded":[32],"selected":[32],"selctedElement":[32]},null,{"selector":["updateSelectedElement"],"data":["updateSelectedElement"],"globalSelector":["updateSelectedElement"]}]]],["inclde-input_3.cjs",[[1,"inclde-input",{"data":[16],"selector":[16],"isEditable":[4,"is-editable"],"value":[32]},null,{"selector":["watchSelector"]}],[1,"inclde-view-edit",{"data":[16],"selectedIndex":[2,"selected-index"],"subElement":[1,"sub-element"],"editMode":[32],"attributeName":[32],"attributeType":[32],"attributeValue":[32]}],[1,"inclde-view-link",{"data":[16],"selector":[2],"label":[1025]}]]],["inclde-sidebar_2.cjs",[[1,"inclde-view",{"data":[16],"selectedIndex":[2,"selected-index"]}],[1,"inclde-sidebar",{"data":[16],"selectedIndex":[2,"selected-index"],"rerenderTrigger":[32]},[[0,"nodeAdded","nodeAddedHandler"]]]]],["inclde-editor.cjs",[[1,"inclde-editor",{"data":[1],"config":[1],"dataObject":[32],"selectedIndex":[32]},[[0,"elementSelected","selectionHandler"],[0,"redraw","redrawHandler"]]]]]], options);
});

exports.setNonce = index.setNonce;

//# sourceMappingURL=inclde.cjs.js.map