import { h } from "@stencil/core";
class ExternalEl {
  //private callback?: (value: any) => void;
  constructor(value) {
    this.value = "";
    if (typeof value['@id'] === 'string') {
      this.value = value['@id'];
    }
    else {
      console.error('Value is not of type string', value);
    }
    //this.callback = callback;
  }
  render() {
    return (h("a", { href: this.value, target: '_blank' }, this.value));
  }
}
ExternalEl.id = '@id';
export default ExternalEl;
//# sourceMappingURL=external.js.map
