import { EventEmitter } from '../../stencil-public-runtime';
import { NodeObject } from 'jsonld';
export declare class IncldeViewEdit {
  data: NodeObject[];
  selectedIndex: number;
  subElement?: string;
  editMode: boolean;
  attributeName: string;
  attributeType: string;
  attributeValue: string | number | boolean | undefined;
  redraw: EventEmitter<CustomEvent>;
  el: HTMLIncldeViewEditElement;
  private schemaDotOrgDefinition;
  componentWillLoad(): Promise<void>;
  private addAttribute;
  private onAttributeNameChange;
  private onTypeChange;
  private onValueChange;
  render(): any;
}
